import { Reducer, Store } from 'redux';
import 'rxjs/add/operator/toPromise';
import { ReduxActionFunctionType } from './action/function-type';
import { ReduxActionFunctionTypeArray } from './action/function-type-array';
import { ReduxStateInterface } from './state/interface';
export declare class ReduxRegistryReducerItem {
    stateName: string;
    reducer: Reducer<{}>;
    type: ReduxActionFunctionType<{}>;
}
export interface IRegisterModulePayload {
    initialState: {};
    stateName: string;
}
export declare class ReduxRegistry {
    static readonly ACTION_REGISTER_MODULE: string;
    private static readonly _store;
    private static readonly _reducers;
    static registerStore(store: Store<{}>): void;
    static registerReducer(stateName: string, types: ReduxActionFunctionTypeArray<{}>, reducer: Reducer<{}>): void;
    static registerState(state: ReduxStateInterface<{}>): void;
    static getReducerItemsByType(type: string): ReduxRegistryReducerItem[];
    static getStore(): Promise<Store<{}>>;
}
