import { BehaviorSubject } from 'rxjs/BehaviorSubject';
import { ReplaySubject } from 'rxjs/ReplaySubject';
import { Subject } from 'rxjs/Subject';
import { ReduxStateConstructor } from './constructor';
import { ReduxStateSelectorSubjectType } from './selector/subject-type';
export declare class ReduxStateSelector {
    private expression;
    private context;
    private static readonly DELIMITER;
    constructor(expression: string, context?: ReduxStateConstructor);
    asBehaviorSubject<S>(): BehaviorSubject<S>;
    asReplaySubject<S>(): ReplaySubject<S>;
    asSubject<S>(): Subject<S>;
    getBySubjectType<S>(type: ReduxStateSelectorSubjectType, initialValue?: S): ReplaySubject<S> | Subject<S> | BehaviorSubject<S>;
    getValueFromState<T, S = {}>(state: S): T;
    private static isPropertyKeyValid(propertyKey);
}
